getTransactionReceipts

An Alchemy Enhanced API that gets all transaction receipts for a given block by number or block hash. Supported on all networks for Ethereum, Polygon, and Arbitrum.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Defaults to docs-demo

For higher throughput, create your own API key

Body Params
params
array of objects
length between 1 and 1

The api only takes in one parameter - an object with at least a blockNumber or blockHash. If both are provided, blockHash is prioritized.

params
string
^0[xX][0-9a-fA-F]+$

The block number you want to get transaction receipts for, in hex

string

The block hash you want to get transaction receipts for

Response

Language
LoadingLoading…
Response
Choose an example:
application/json